extends Node3D

func _on_static_body_3d_input_event(_camera, event, _position, _normal, _shape_idx):
	if event is InputEventMouseButton and event.is_action_pressed("interact"):
		print("Laatje!")
		$Kast/Drawer.position.z = abs($Kast/Drawer.position.z - 1.0)


func _on_sleutel_input_event(_camera, event, _position, _normal, _shape_idx):
	if event is InputEventMouseButton and event.is_action_pressed("interact"):
		$Kast/Drawer/Sleutel.visible = false
		get_node("../Player").has_key = true
